Installation

Prerequisites

  • python V3.6 or later.

  • for interactive use, an ansi (vt100-compatible) terminal application. On Windows 10, the separately-installable Windows Terminal app is recommended.

Installation

Xonsh can be installed via package manager, via appimage or just run from a pre-built container:

Configuration and Customization

Xonsh uses startup configuration files and provides configuration wizards to help you set them up.